.justifyBetweenFlex{
    display:flex;
    justify-content: space-between;
}

.endFlexContent{
    align-self: flex-end;
}

.flex-row {
    display: flex;
    flex-direction: row;
    align-items: baseline;
}

.flex-row .item{
    margin-left: 15px;
}

.hand-cursor {
    cursor: pointer;
}

.floating-bottom {
    position: fixed;
    width: 100%;
    bottom: 20px;
}

.floating-top-right {
    position: absolute;
    right: 0;
    top: 0;
}

@media only screen and (min-width: 1024px ) {
    .floating-bottom {
        left: 25%;
        width: 50%;
        margin: auto;
    }
}



.bold {
    font-weight: bold;
}


/* colors */

.grey{
    color:grey;
}

.maroon{
    color:#ac1e2c;
}

.steelblue {
    color: steelblue;
}

.lightseagreen {
    color: lightseagreen;
}

.darkgray{
    color: darkgray;
}

.green {
    color: darkgreen;
}

.blue {
    color: darkblue;
}

.red {
    color: red;
}

.brown {
    color: brown;
}

.orange {
    color: orange;
}

/*******/


.actionColumn{
    width:140px;
    display: inline-block;
}

.fullWidth{
    width: 100% !important;
}

.hiddenExtra{
    white-space: nowrap;
    overflow: hidden;
    text-overflow:ellipsis;
    max-width: 200px;
}

.table{
    border-collapse: collapse;
    border-spacing: 0;
}

.shortInput{
    width: 50px;
}

.topMargin{
    margin-top: 10px;
}

.topBottomSmallMargin{
    margin:5px 0px 5px 0px;
}

.chosen-single{
    height: 38px !important;
    padding-top: 7px !important;
}
.chosen-single > div{
    height: 38px !important;
    padding-top: 7px !important;
}

.chosen-single > abbr{
    margin-top: 8px !important;
}


.chosen-container{
    width: 100% !important;
}
 
.chosen-container{
    width: 100% !important;
}

.calendar{
    padding: 4px;
    border: 1px solid #cecece;
    height:40px;
    width:140px;
}

.mt-30 {
    margin-top: 30px;
}

.center {
    text-align: center;
}

.inline {
    display: inline-block;
}

.large-date {
    width: 450px !important;
}

.search-widget input{
    height: 30px;
    border-radius: 5px;
    border: 1px solid lightgray;
    text-align: right;
}

.search-widget button {
    padding: 7px !important;
}

.main-container {  
    width: 100%;
    height: 100%;
    display: flex;
    position: absolute;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.main-container > p {
    font-size: 22px;
    padding: 20px;
}

.main-container > img {
    width: 210px;
    height: 210px;
    filter: grayscale(100%);
}

.mobile-title {
    line-height: 57px;
    position: absolute;
    font-size: 22px;
    width: 100%;
    text-align: center;
}

.new-route-form {
    text-align: left;
    display: flex;
    flex-direction: column;
    margin: auto;
    background: #f1f1f1;
    padding: 20px;
    border-radius: 7px;
}

.new-route-form button {
    width: 100%;
    margin-top: 20px;
}


.col-w-4 {
    width: 30%;
}
.col-w-14 {
    width: 14%;
}

.inline-block {
    display: inline-block;
}

.panel{
    padding-left: 10px;
    padding-right: 10px;
    vertical-align: top;
}

.day-container {
    font-size: 0;
}

.day-container .day {    
    min-height: 40px;
    font-size: 15px;    
    border-radius: 12px 12px 5px 5px;
    border: 1px #d8d3d3 solid;
    overflow: hidden;
    text-align: center;
}

.day-container .day > .title {
    padding-top: 10px;
    text-align: center;
    background: linear-gradient(#f4f4f4, #cecece);
}

.day-container .drag-area{
    min-height: 100px;
    background: #fefefe;
    border-top: 1px #dadada solid;
}

.day-container .drag-area > div {
    border: 1px solid #e4dede;
    padding: 5px;
    border-radius: 3px;
    background: linear-gradient(#edfdff, #dbe0e2);
    box-shadow: rgb(187, 182, 182) 1px 1px 2px;
    margin: 5px;
    cursor: default;
}

.day-container .drag-area > div:hover {
    background: linear-gradient(#dbe0e2, #edfdff);       
}

.day-container .drag-area > div.light-bkg {
    background: none;
    padding: 0px;
}


.day-container .drag-area > div.light-bkg:hover {
    background: #fbffff;
    padding: 0px;
}

.day-container .day .school p {
    margin-bottom: 0px;
    font-size: 14px;
}

.day-container .day .add-button
{
    font-size: 20px;
    padding: 5px;
    cursor: pointer;
}

.day-container .day .school {
    text-align: left;
    position: relative;
}

.day-container .day .school .title {
    font-weight: bold;
}

.day-container .day .school .address {
    font-size: 12px;
}

.day-container .day .school .delete-icon {
    display: none;
    top: -10px;
    right: -5px;
    background: black;
    color: white;
    padding: 5px;
    border-radius: 30px;
    width: 25px;
    text-align: center;
    box-shadow: 1px 1px 3px 1px #8a8a8a;
    cursor: pointer;
}

.day-container .day .school:hover > .delete-icon, 
.day-container .day .school .deliveries > li > div:hover > .delete-icon
{
    display: block;
    position: absolute;

}

.editable-label {
    border: none;
    height: 30px;
    padding: 5px;
    font-size: 18px;
}

.editable-label:hover {
    border: 1px solid gray;
    border-radius: 5px;
}

.editable-label:focus {
    border-radius: 5px;
    border: 1px solid gray;
    background: #f5f4f4;
    outline: 2px skyblue solid;
    outline-style: auto;
}

.deliveries {
    list-style-type: none;
    padding: 5px;
}

.deliveries li > div {
    background: #0000000f;
    padding: 5px;
    margin-top: 5px;
    border-radius: 6px;
    box-shadow: 1px 1px 0px #d8d8d8;
}

.deliveries > li > div {
    position: relative;
}

.delivery-stop-title {
    padding: 5px;
    background: lightgray;
}

.deliveries .status-text{
    font-size: 13px;
    float: right;
    font-weight: bold;
}

.deliveries .detail-icon {
    float: right;    
}

.deliveries .detail-icon span {
    padding: 2px;
}

.delivery-ok {
    background: #e7f4f9;
}

.delivery-failed {
    background: #fff1f3;
}

.delivery-confirmed {
    background: #f5fff5;
}

.deliveries-container textarea {
    min-width: 100%;
    max-width: 100%;
    overflow-y: scroll;
    max-height: 110px;
    min-height: 110px;
}

.deliveries-container textarea {
    border-radius: 5px;
}

.deliveries-table {
  margin-top: 10px;
  margin-bottom: 10px;  
}

.deliveries-table td {
  padding: 3px;
}

@media only screen and (min-width: 1024px ) {
    .standalone-deliveries .delivery-title {
        float: right;
        margin-top: 0px;
        margin-right: 90px;
    }

    .standalone-deliveries .container-detail {
        margin-top: 50px;
        padding-left: 90px;
        padding-right: 90px;
    }
}
@media only screen and (max-width: 1024px ) {
    .standalone-deliveries .container-detail {
        padding-left: 30px;
        padding-right: 30px;
    }
}


.tooltip {
  position: relative;
}

.tooltip .tooltiptext {
  visibility: hidden;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: -180%;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent #555 transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

#school_id_chosen {
    min-width: 150px;
}

@media only screen and (min-width: 1024px ) {
    .mobile-title {
        display: none;
    }
}

@media only screen and (max-width: 1024px) {
    .col-w-4 {
        width: 100%;
    }

    .col-w-100-xs {
        width: 100%
    }
}

.hidden {
    display: none !important;
}